Package org.opensaml.soap.wssecurity.impl

# Class CreatedImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wssecurity.impl.AbstractWSSecurityObject
org.opensaml.soap.wssecurity.impl.AttributedDateTimeImpl
org.opensaml.soap.wssecurity.impl.CreatedImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XSString`, `XMLObject`, `AttributedDateTime`, `Created`, `IdBearing`, `WSSecurityObject`

public class CreatedImpl extends AttributedDateTimeImpl implements Created
CreatedImpl.

## Field Summary

### Fields inherited from interface org.opensaml.soap.wssecurity.AttributedDateTime

`TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.soap.wssecurity.Created

`ELEMENT_LOCAL_NAME, ELEMENT_NAME`

### Fields inherited from interface org.opensaml.soap.wssecurity.IdBearing

`WSU_ID_ATTR_LOCAL_NAME, WSU_ID_ATTR_NAME`

## Constructor Summary

Constructors
Constructor
Description
`CreatedImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.soap.wssecurity.impl.AttributedDateTimeImpl

`getDateTime, getUnknownAttributes, getValue, getWSUId, setDateTime, setValue, setWSUId`

### Methods inherited from class org.opensaml.soap.wssecurity.impl.AbstractWSSecurityObject

`getOrderedChildren`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.soap.wssecurity.AttributedDateTime

`getDateTime, setDateTime`

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.soap.wssecurity.IdBearing

`getWSUId, setWSUId`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Constructor Details

### CreatedImpl

public CreatedImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace of the element
  `elementLocalName` - name of the element
  `namespacePrefix` - namespace prefix of the element